Activity log for bug #1043582

Date Who What changed Old value New value Message
2012-08-30 00:36:38 Scott Moser bug added bug
2012-08-30 00:40:52 Scott Moser lxc (Ubuntu): importance Undecided Medium
2012-08-30 00:40:52 Scott Moser lxc (Ubuntu): status New Triaged
2012-08-30 14:46:53 Serge Hallyn lxc (Ubuntu): assignee Serge Hallyn (serge-hallyn)
2012-08-30 14:47:09 Serge Hallyn nominated for series Ubuntu Precise
2012-08-30 14:47:09 Serge Hallyn bug task added lxc (Ubuntu Precise)
2012-08-30 14:47:09 Serge Hallyn nominated for series Ubuntu Quantal
2012-08-30 14:47:09 Serge Hallyn bug task added lxc (Ubuntu Quantal)
2012-08-30 16:00:09 Launchpad Janitor lxc (Ubuntu Quantal): status Triaged Fix Released
2012-08-30 16:08:59 Serge Hallyn tags amd64 apport-bug ec2-images precise amd64 apport-bug ec2-images needsru precise
2012-08-30 16:16:00 Launchpad Janitor branch linked lp:ubuntu/lxc
2012-09-21 18:28:51 Serge Hallyn lxc (Ubuntu Precise): assignee Serge Hallyn (serge-hallyn)
2012-09-21 18:28:55 Serge Hallyn lxc (Ubuntu Precise): importance Undecided Medium
2012-09-21 18:28:59 Serge Hallyn lxc (Ubuntu Precise): status New In Progress
2012-09-21 18:30:30 Serge Hallyn description $ sudo lxc-destroy -n maas $ cat my-userdata #!/bin/sh ifconfig eth0 > /ifconfig-eth0 $ sudo lxc-create -t ubuntu-cloud -n maas -- \ --release=precise --arch=amd64 --auth-key=$HOME/.ssh/id_rsa.pub \ --userdata my-userdata $ sudo cat /var/lib/lxc/maas/rootfs/var/lib/cloud/seed/nocloud-net/user-data #cloud-config output: {all: '| tee -a /var/log/cloud-init-output.log'} apt-mirror: http://archive.ubuntu.com/ubuntu manage_etc_hosts: localhost locale: en_US.UTF-8 Basically, --userdata was ignored entirely. ProblemType: Bug DistroRelease: Ubuntu 12.04 Package: lxc 0.7.5-3ubuntu62 ProcVersionSignature: User Name 3.2.0-29.46-virtual 3.2.24 Uname: Linux 3.2.0-29-virtual x86_64 ApportVersion: 2.0.1-0ubuntu12 Architecture: amd64 Date: Thu Aug 30 00:31:00 2012 Ec2AMI: ami-0000013e Ec2AMIManifest: FIXME Ec2AvailabilityZone: nova Ec2InstanceType: m1.small Ec2Kernel: unavailable Ec2Ramdisk: unavailable ProcEnviron: TERM=screen PATH=(custom, user) LANG=en_US.UTF-8 SHELL=/bin/bash SourcePackage: lxc UpgradeStatus: No upgrade log present (probably fresh install) ==================================== SRU Justification 1. Impact: --userdata argument is ignored 2. Development fix: get full path to userdata script before switching cwd 3. Stable fix: same as development fix 4. Test case: See the recipe below in bug description 5. Regression potential: none ==================================== $ sudo lxc-destroy -n maas $ cat my-userdata #!/bin/sh ifconfig eth0 > /ifconfig-eth0 $ sudo lxc-create -t ubuntu-cloud -n maas -- \    --release=precise --arch=amd64 --auth-key=$HOME/.ssh/id_rsa.pub \    --userdata my-userdata $ sudo cat /var/lib/lxc/maas/rootfs/var/lib/cloud/seed/nocloud-net/user-data #cloud-config output: {all: '| tee -a /var/log/cloud-init-output.log'} apt-mirror: http://archive.ubuntu.com/ubuntu manage_etc_hosts: localhost locale: en_US.UTF-8 Basically, --userdata was ignored entirely. ProblemType: Bug DistroRelease: Ubuntu 12.04 Package: lxc 0.7.5-3ubuntu62 ProcVersionSignature: User Name 3.2.0-29.46-virtual 3.2.24 Uname: Linux 3.2.0-29-virtual x86_64 ApportVersion: 2.0.1-0ubuntu12 Architecture: amd64 Date: Thu Aug 30 00:31:00 2012 Ec2AMI: ami-0000013e Ec2AMIManifest: FIXME Ec2AvailabilityZone: nova Ec2InstanceType: m1.small Ec2Kernel: unavailable Ec2Ramdisk: unavailable ProcEnviron:  TERM=screen  PATH=(custom, user)  LANG=en_US.UTF-8  SHELL=/bin/bash SourcePackage: lxc UpgradeStatus: No upgrade log present (probably fresh install)
2012-09-21 18:30:37 Serge Hallyn bug added subscriber Ubuntu Stable Release Updates Team
2012-09-21 18:30:41 Serge Hallyn lxc (Ubuntu Precise): assignee Serge Hallyn (serge-hallyn)
2012-10-25 13:47:56 Clint Byrum lxc (Ubuntu Precise): status In Progress Fix Committed
2012-10-25 13:47:59 Clint Byrum bug added subscriber SRU Verification
2012-10-25 13:48:06 Clint Byrum tags amd64 apport-bug ec2-images needsru precise amd64 apport-bug ec2-images needsru precise verification-needed
2012-10-28 16:02:06 Launchpad Janitor branch linked lp:ubuntu/precise-proposed/lxc
2012-11-07 16:47:55 Serge Hallyn description ==================================== SRU Justification 1. Impact: --userdata argument is ignored 2. Development fix: get full path to userdata script before switching cwd 3. Stable fix: same as development fix 4. Test case: See the recipe below in bug description 5. Regression potential: none ==================================== $ sudo lxc-destroy -n maas $ cat my-userdata #!/bin/sh ifconfig eth0 > /ifconfig-eth0 $ sudo lxc-create -t ubuntu-cloud -n maas -- \    --release=precise --arch=amd64 --auth-key=$HOME/.ssh/id_rsa.pub \    --userdata my-userdata $ sudo cat /var/lib/lxc/maas/rootfs/var/lib/cloud/seed/nocloud-net/user-data #cloud-config output: {all: '| tee -a /var/log/cloud-init-output.log'} apt-mirror: http://archive.ubuntu.com/ubuntu manage_etc_hosts: localhost locale: en_US.UTF-8 Basically, --userdata was ignored entirely. ProblemType: Bug DistroRelease: Ubuntu 12.04 Package: lxc 0.7.5-3ubuntu62 ProcVersionSignature: User Name 3.2.0-29.46-virtual 3.2.24 Uname: Linux 3.2.0-29-virtual x86_64 ApportVersion: 2.0.1-0ubuntu12 Architecture: amd64 Date: Thu Aug 30 00:31:00 2012 Ec2AMI: ami-0000013e Ec2AMIManifest: FIXME Ec2AvailabilityZone: nova Ec2InstanceType: m1.small Ec2Kernel: unavailable Ec2Ramdisk: unavailable ProcEnviron:  TERM=screen  PATH=(custom, user)  LANG=en_US.UTF-8  SHELL=/bin/bash SourcePackage: lxc UpgradeStatus: No upgrade log present (probably fresh install) ==================================== SRU Justification 1. Impact: --userdata argument is ignored 2. Development fix: get full path to userdata script before switching cwd 3. Stable fix: same as development fix 4. Test case: See the recipe below in bug description 5. Regression potential: none ==================================== $ sudo lxc-destroy -n maas $ cat my-userdata #!/bin/sh ifconfig eth0 > /ifconfig-eth0 $ sudo lxc-create -t ubuntu-cloud -n maas -- \    --release precise --arch amd64 --auth-key $HOME/.ssh/id_rsa.pub \    --userdata my-userdata $ sudo cat /var/lib/lxc/maas/rootfs/var/lib/cloud/seed/nocloud-net/user-data #cloud-config output: {all: '| tee -a /var/log/cloud-init-output.log'} apt-mirror: http://archive.ubuntu.com/ubuntu manage_etc_hosts: localhost locale: en_US.UTF-8 Basically, --userdata was ignored entirely. ProblemType: Bug DistroRelease: Ubuntu 12.04 Package: lxc 0.7.5-3ubuntu62 ProcVersionSignature: User Name 3.2.0-29.46-virtual 3.2.24 Uname: Linux 3.2.0-29-virtual x86_64 ApportVersion: 2.0.1-0ubuntu12 Architecture: amd64 Date: Thu Aug 30 00:31:00 2012 Ec2AMI: ami-0000013e Ec2AMIManifest: FIXME Ec2AvailabilityZone: nova Ec2InstanceType: m1.small Ec2Kernel: unavailable Ec2Ramdisk: unavailable ProcEnviron:  TERM=screen  PATH=(custom, user)  LANG=en_US.UTF-8  SHELL=/bin/bash SourcePackage: lxc UpgradeStatus: No upgrade log present (probably fresh install)
2012-11-07 16:48:41 Serge Hallyn tags amd64 apport-bug ec2-images needsru precise verification-needed amd64 apport-bug ec2-images needsru precise verification-done
2012-11-15 01:06:24 Clint Byrum removed subscriber Ubuntu Stable Release Updates Team
2012-11-15 01:06:28 Launchpad Janitor lxc (Ubuntu Precise): status Fix Committed Fix Released
2012-11-26 19:46:06 Launchpad Janitor branch linked lp:ubuntu/precise-updates/lxc